@media (max-width: 467px) {
    #main {
        margin-top: 53px !important;
    }
    .panel-collapse .panel-body {
        padding: 0 !important;
    }
}

@media (max-width: 767px) and (min-width: 468px) {
    #main {
        margin-top: 53px !important;
    }
    .panel-collapse .panel-body {
        padding: 0 !important;
    }
}

@media screen and (-webkit-min-device-pixel-ratio:0) {
    input, select {
        border-radius: 3px;
        background-color: #fff;
        border: solid 1px rgb(169, 169, 169);
        padding-left: 5px;
    }
}

html, body {
    height: 100%;
    width: 100%;
}

body, .container-fluid, .panel-container, .panel-main, #main, #menu, #graphs, #map {
    padding: 0;
    margin: 0;
    height: 100%;
    overflow: hidden;
}

.font-weight-bold {
    font-weight: bold;
}

.container-fluid {
    /* Eases jQuery resizable event */
    position: relative !important;
    overflow: hidden !important;
}

#main {
    margin-top: 50px;
}

/* horizontal panel*/
.panel-container {
  display: flex;
  flex-direction: row;
  overflow: hidden;

  /* avoid browser level touch actions */
  xtouch-action: none;
}

.panel-left {
  flex: 0 0 auto;
  width: 25%;
}

.panel-center {
  flex: 0 0 auto;
  width: 40px;
}

.panel-right {
  flex: 1 1 auto;
}

.splitter {
  flex: 0 0 auto;
  width: 5px;
  background: #337ab7;
  cursor: col-resize;
}

.form input, .form select {
    min-height: 28px !important;
    height: 28px;
    margin-right: 10px;
}

.panel-heading {
    min-height: 35px !important;
}

.panel-heading h4 {
    font-size: 13px;
    font-weight: bold;
    padding: 5px;
}

.panel-body h4 {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 15px;
}

button.right, button.toggle {
    color: #337ab7 !important;
	-webkit-appearance: none;
	padding: 0 5px;
	background: 0 0;
	border: 0;
	font-size: 18px;
}

.right {
	float: right;
	font-weight: 700;
	line-height: 1;
	text-shadow: 0 1px 0 #fff;
}

#graphs p {
    margin: 10px 0px;
    font-size: 12px !important;
}

#maptools {
    position: absolute;
    top: 20px;
    left: 20px;
}

#map_tlb {
    margin-bottom: 10px;
}

#timecontrol {
    position: absolute;
    left: 20px;
    bottom: 20px;
    z-index: 1001;
    font-size: 13px;
    font-size: 13px !important;
    width: 360px;
    overflow: hidden;
}

#timecontrol span {
    font-weight: bold;
    margin-right: 5px;
}

#timecontrol .leaflet-bar {
	box-shadow: none !important;
}

#loadingcontrol {
    position: absolute;
    left: 48%;
    top: 48%;
    z-index: 1001;
}

#map_tlb {
    margin-bottom: 10px;
}

#legpanel {
    min-width: 150px !important;
}

ul li i.circle {
    display: inline-block;
    width: 12px;
    height: 12px;
    border-radius: 12px;
    border: solid 2px #333;
    vertical-align: middle;
}

.legend {
    margin-top: 20px !important;
    margin-right: 20px !important;
    line-height: 18px;
    padding: 6px;
    opacity: .95;
    filter: alpha(opacity=95);
    background: white;
    border-radius: 5px;
    border: 1px solid #ccc;
}

.legend span, .info span {
    font-size: 11px;
}

.legend .title, .legend .subtitle {
    font-weight: bold;
    padding: 0;
    margin: 0;
    display: block;
}

.legend .title {
    text-align: center;
    font-size: 12px;
}

.legend .subtitle {
    font-size: 10px;
    margin-top: 5px;
}

.legend input {
    vertical-align: middle;
    margin-right: 5px;
    margin-bottom: 5px;
}

.legend .panel-group {
    margin-bottom: 5px;
}

.legend .panel-group .panel {
    padding: 3px 0;
}

.legend button span {
    font-size: 18px;
}

.legend i {
    width: 15px;
    float: left;
    margin-right: 5px;
    opacity: 0.7;
}

.legend span i.circle {
    margin-top: 2px;
    width: 12px;
    height: 12px;
    border-radius: 12px;
    border: solid 2px #333;
}

.legend i.square {
    height: 15px;
}

.legend .accordion-toggle {
    font-weight: bold;
}

/* to place leaflet attribution */
.leaflet-bottom {
    bottom: 0px !important;
    right: 20px !important;
}

.leaflet-bar-timecontrol a.timecontrol-date {
    clear: right !important;
    float: left !important;
    width: 130px !important;
    min-width: 130px !important;
}

.leaflet-bar-timecontrol .timecontrol-dateslider .slider {
    width: 130px !important;
}

.cst_pad_left {
	padding: 5px 5px 5px 0;
}

.cst_pad_right {
	padding: 4px 5px 4px 0;
}

.cst_pad {
	padding: 5px;
}

.panel, .panel div {
    border-radius: 0;
}

.panel-heading .btn-default {
    color: #337ab7 !important;
}

.cst_hide {
    display: none;
}

.list-group-item {
    padding: 5px 15px;
}

.list-group.ctm {
    margin-bottom: 0;
}

.list-group-item.ctm {
    border: none;
    padding: 2px 0;
}

.ctmscroll {
    height: 120px;
    overflow-x: hidden;
    overflow-y: auto;
    padding: 2px;
}

.ctmscroll_big {
    height: 180px;
    overflow-x: hidden;
    overflow-y: auto;
    padding: 2px;
}

.checkbox, .radio {
    margin: 0;
}

label.checkbox {
    display: inline-block;
}

label.checkbox input[type='checkbox'] {
    display: none;
}

label.checkbox span {
    content: '';
    display: inline-block;
    width: 24px;
    height: 22px;
    background: #efefef;
    vertical-align: middle;
    color: #337ab7;
    border-radius: 3px;
    vertical-align: middle;
    position: relative;
    border: solid 2px #337ab7;
    cursor: pointer;
}

label.disabled span {
    border: none;
    cursor: default;
    background: none;
}

label.checkbox span {
    border-radius: 3px;
}

label.checkbox :checked + span:after {
    position: absolute;

}

label.checkbox :checked + span:after {
	font-size: 12px;
    top: -1px;
    left: 3px;
    font-family: "Glyphicons Halflings";
    content: "\e013";
}

label.disabled :checked + span:after {
	font-size: 18px;
    top: -2px;
    left: 1px;
}

.panel-body {
	padding: 0 15px;
}

.panel-group .panel {
    margin: 0px;
    padding: 10px 0;
    border: none;
    border-bottom: solid 1px #efefef;
    box-shadow: none !important;
}

.panel-collapse .panel-body {
    padding: 0 0 0 20px;
}

.subtitle {
    display: block;
    margin-top: 3px;
    margin-bottom: 3px;
    font-size: 97%;
    font-size: 97%;
}

.accordion .accordion-toggle {
    text-decoration: none;
}

.accordion .accordion-toggle:before {
    font-family: 'Glyphicons Halflings';
    content: "\e080";
    color: #337ab7;
    margin-right: 5px;
}
.accordion .accordion-toggle.collapsed:before {
    content: "\e114";
}

#legpanel .slider {
    width: 55%;
    cursor: pointer;
    display: inline-block;
    margin-left: 8px;
    -webkit-border-radius: 3px;
    -mox-border-radius: 3px;
    border-radius: 3px;
}

.ui-slider-horizontal {
    height: 5px;
}

.ui-slider .ui-slider-handle {
    top: -.4em;
    -webkit-border-radius: 8px;
    -mox-border-radius: 8px;
    border-radius: 8px;
}

.tight {
    margin-top: 5px !important;
    margin-bottom: 5px !important;
}

/* Charts */
.marker-label-icon {
    margin-left: 13px !important;
    font-weight: bold;
}

.chart {
    width: 400px;
    height: 320px;
}

.highcharts-title {
    font-weight: bold;
}

.highcharts-label {
    font-size: 11px !important;
}

.highcharts-credits {
    display: none !important;
}

hr {
    /* overwride bootstrap */
    margin: 10px 0 !important;
}

#graphs .main-body, #menu .main-body {
    overflow-x: hidden;
    overflow-y: auto;
}

/* Filter Tables */
.table thead tr {
    background-color: #efefef;
    color: black;
}

.dataTables_filter label {
    font-weight: normal;
}

.dataTables_filter label input {
    margin-left: 5px;
}

.messages {
    position: absolute;
    top: 50px;
    left: 0;
    width: 100%;
    z-index: 1001;
    text-align: center;
    display: none;
}

.drag {
    float: right;
    margin-right: 5px;
    color: #337ab7;
    font-size: 12px !important;
    cursor: move !important;
}

.nav-pills {
    padding: 5px 0 5px 0 !important
}

.nav-pills > li > a {
    font-size: 95%;
}

.nav-pills > li.active > a, .nav-pills > li.active > a:focus, .nav-pills > li.active > a:hover {
    color: #fff;
    border: solid 1px #337ab7;
    background-color: #337ab7;
}

.btn-xs {
    margin: 1px;
}

.panel-collapse .panel-body {
    padding: 0px;
}

a.accordion-toggle span.highlight {
    padding: .2em .4em .1em;
    border-radius: .25em;
    background-color: #5bc0de;
    color: #fff;
}

a.accordion-toggle.collapsed span.highlight {
    background-color: transparent;
    color: #337ab7;
}

div.checkbox {
    display: inline-block;
    margin-right: 5px;
}

label.level {
    margin: 0;
    margin-right: 5px;
}

select.level {
    margin-bottom: 5px;
    height: 20px;
}

.modal-content {
    border-radius: 4px !important
}
.modal-header, .modal-body, .modal-footer {
    padding: 8px 15px;
}

.serie-leg {
    width: 15px;
    height: 15px;
    margin: 0;
    padding: 0;
}

.serie-leg i {
    width: 15px;
    display: inline-block;
    margin-right: 5px;
    opacity: 0.7;
}

.serie-leg i.line {
    margin-top: 10px;
    height: 4px;
}